Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Class DocumentConnectionPoolNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--com.bea.p13n.mbeans.DocumentConnectionPoolNotification

public class DocumentConnectionPoolNotification
extends javax.management.Notification

A notification sent out when a request has been made to start, restart, or shutdown the connection pool configured by a DocumentConnectionPoolMBean.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RESTART` The restart a connection pool notification type.
`static java.lang.String` | `SHUTDOWN` The shutdown a connection pool notification type.
`static java.lang.String` | `START` The start a connection pool notification type.

Fields inherited from class javax.management.Notification
`source`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DocumentConnectionPoolNotification(java.lang.Object src, java.lang.String type)` Constructor.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESTART

    public static final java.lang.String RESTART

  The restart a connection pool notification type.

### START

    public static final java.lang.String START

  The start a connection pool notification type.

### SHUTDOWN

    public static final java.lang.String SHUTDOWN

  The shutdown a connection pool notification type.

Constructor Detail

### DocumentConnectionPoolNotification

    public DocumentConnectionPoolNotification(java.lang.Object src,
                                              java.lang.String type)

  Constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved